Version 100.0 is here!

813
2
11-22-2016 01:34 PM
Labels (1)
EricBader
Regular Contributor II
3 2 813

By now, you probably heard the great news about ArcGIS Runtime SDK v100.0. The commercial offering released yesterday, and we here at Esri are very excited and grateful. Excited that such a revolutionary vision has been realized for Runtime developers, and at the same time extremely grateful to you, our users. You've partnered with us to bring this all about, Now, let's go forth and build! We are looking forward to your success.

I want to point out some of the Qt-specific items from this release that you'll be able to go to market with. Not only do you have even more capabilities such as 3D visualization, vector tiled basemap support, enriched error handling in the API, additional GP tools for Local Server, and all the rest, but you have more deployment and design options for your applications:

  • Support for writing C++ apps that can target all platforms, including macOS, iOS and Android. In our 10.2.x offerings, this was only possible for Windows and Linux. We are committed to providing as many developer options for Qt developers as possible!
  • Support for separating your QML and C++ business logic. Enabling support for this design pattern frees up the Qt developer to adopt best-design practices while writing great GIS apps!
  • Local Server is now an optional, separate install. If it's something you don't need, you don't have to get it!

There are too many capabilities to describe in this short post, so go check it out for yourself. You’ll be surprised by how much you can achieve with v100 of ArcGIS Runtime for Qt.

So, get the latest: ArcGIS Runtime SDK for Qt | ArcGIS for Developers. Experience the updated developers guide and give us feedback. If you're wondering if this is the right time to migrate to v100.0. we hope you'll find this guide useful in helping you decide.

Thanks!

The ArcGIS Runtime SDK for Qt Team

2 Comments
PremnadhSadasivan
New Contributor

Dears

Do you know if the latest ArcGIS Runtime version support layer files (.lyr) for symbolgy.
It was not supported in the previous ArcGIS Runtime versions 10.x, right ? 

Because layer files (.lyr) is supported in the much older ArcGIS Engine.

EricBader
Regular Contributor II

Thank you for the question.

Layer files are not supported in this release.

As you've mentioned, layer files are very closely tied to the older ArcMap/Engine platform. Layer files were key for persisting and linking symbology and rendering information to source data. The mobile geodatabase can do the same thing today, actually.